/* Add function to return area of circle use Math.PI instead
   of PI defined in this class */
/** An instance (object) represents a circle at a point in plane */
public class Circle extends Shape {
    private double radius; //radius of circle. radius >= 0
    
    public static final double PI= 3.141592653589793;
    
    /** Constructor: an instance with radius r with
        bounding-box'es top left point at (x, y)
        Precondition: r >= 0 */
    public Circle(double r, double x, double y) {
        super(x, y);
        assert r >= 0;
        radius= r;
    }
    
    /** return radius of this Circle */
    public double getRadius() {
        return radius;
    }
    
    /** set the radius to r.
        Precondition: r >= 0. */
    public void setRadius(double r) {
        assert r >= 0;
        radius= r;
    }
    
    /** return diameter of Circle */
    public double diameter() {
         return 2 * radius;   
    }
    
    /** Return representation of circle */
    public String toString() {
        return "radius " + radius + " at " + super.toString();
    }
}