/* Look at method main to see how to test some things.
   
   Add a procedure setLocation so that a call
   setLocation(3, 5) changes the location of the
   shape to (3, 5). Be sure to specify it suitably.
   
 */

/** An instance (of a subclass) represents a shape at a point in the plane */
public class Shape {
    private double x, y; // (x, y) is top-left point of bounding box of shape
    
    /** method to try out things and debug code in Shape, Circle, Rectangle */
    public static void main(String[] args) {
        Shape s= new Shape(3, 5);
        System.out.println("Shape name: " + s.objectName());
        System.out.println("Shape toString: " + s);
        
        Circle c= new Circle(10, 20, 30);
        System.out.println("Circle name: " + c.objectName());
        System.out.println("Circle toString: " + c);
        System.out.println("Circle diameter: " + c.diameter());
        
        System.out.println("Test c == c: " + (c == c));
        System.out.println("Test c == new Circle...: " + (c == new Circle(10, 20, 30)));
        System.out.println("Test c == null: " + (c == null));
    }
    
    /** Constructor: an instance at point (x1, y1) */
    public Shape (double x1, double y1) {
        x= x1;
        y= y1;
    }
    
    /** return x-coordinate of bounding box Shape*/
    public double getX() {
        return x;
    }
    
    /** return y-coordinate of bounding box Shape*/
    public double getY() {
        return y;
    }
    
    /** return name of object */
    public String objectName() {
        return super.toString();
    }
    
    /** Return representation of object */
    public String toString() {
        return "(" + x + ", " + y + ")";
    }
}